[script]
n0=;*** Filtre de canal *** par Kosukefr
n1=;code rajouté trouvé sur http://www.zkelvin.net/script/singlechan.html
n2=;modification apporté par JohnB
n3=;modif cussay pour obelix
n4=
n5=on 1:text:*:%filtre.chan: {
n6=  %trigger.salon = $chan
n7=}
n8=
n9=on ^*:text:*:%filtre.chan: {
n10=  if ($Command.Filter($1-) == $true) {
n11=    echo  -mlti2 @Filtre < $+ 13,1 $+ %trigger.salon : 11,1 $+ $nick $+ 0,1> $1-
n12=    haltdef
n13=  }
n14=}
n15=
n16=on *:START: {
n17=  window -w @Filtre
n18=  window -mnk0 @Filtre
n19=}
n20=
n21=on *:CLOSE:@Filtre: if (%showwin == on) .timer 1 0 window -mnk0 @Filtre
n22=
n23=on 1:CONNECT: Vide.Filtre.timer
n24=
n25=alias Command.Filter { if ($left($1,1) isin @!¤[#) || ($left($strip($1),1) isin @![#)  || ($left($strip($1),4) == XDCC) || ($left($strip($1),4) == TDCC) || ($left($strip($1),2) == [#) || ($left($strip($1),6) == Served) || ($left($strip($1),11) == File Server) || ($left($strip($1),7) == Current) || ($left($strip($1),4) == MOTD) || ($left($strip($1),4) == Type) || ($left($strip($1),5) == FTP O)  || ($left($strip($1),10) == Sur mes HD) || ($left($strip($1),5) == Usage) || ($left($strip($1),10) == mp3 Server || ($left($strip($1),2) == «« )) return $true }
n26=
n27=alias Vide.Filtre.timer { if (%Vide.Filtre.timer) && ($window(@Filtre)) .timerVide.Filtre 0 $calc(%Vide.Filtre.timer * 60) Vide.Filtre }
n28=
n29=alias Vide.Filtre { if ($window(@Filtre)) clear @Filtre }
n30=
n31=alias Filtre.ver.num { return v1 }
n32=
n33=menu channel {
n34=  -
n35=  Filtre 
n36=  .$iif(# isin %filtre.chan,Désactiver le filtre):set %filtre.chan $remtok(%filtre.chan,#,1,44) | if (!%filtre.chan) { unset %showwin | .timerVide.Filtre off | close -@ @Filtre }
n37=  .$iif(# !isin %filtre.chan,Activer le filtre): if (!$window(@Filtre)) { window -mnk0 @Filtre | %showwin = on | Vide.Filtre.timer } |  set %filtre.chan $addtok(%filtre.chan,#,44)
n38=  -
n39=}
n40=
n41=menu @Filtre {
n42=  dclick: clear @Filtre
n43=  vider la fenetre: clear @Filtre
n44=  $Vide.Filtre.menu $+ : if (!%Vide.Filtre.timer) { %Vide.Filtre.timer = $$?="Intervalle en minutes ?" | .timerVide.Filtre 0 $calc(%Vide.Filtre.timer * 60) Vide.Filtre } | else { unset %Vide.Filtre.timer | .timerVide.Filtre off }
n45=}
n46=
n47=alias Vide.Filtre.menu {
n48=  if (!%Vide.Filtre.timer) return vider la fenetre toutes les x minutes
n49=  return arréter le vidage automatique
n50=}
